import asyncio

import sqlalchemy as sa

from fin_data.queries import get_options

options_query = get_options(
    not_expired=False,
    underlying_symbols=["SPY"],
    quotes_ignore_columns=["underlying_quote_id"],
    underlyings_ignore_columns=[
        "id",
        "delayed",
        "mark_percent_change",
        "mark_change",
        "mark",
        "change",
        "trade_time",
        "quote_time",
    ],
    contracts_ignore_columns=[
        "symbol",
        "underlying_symbol",
        # "mini",
        # "is_index_option",
        "expiration_type",
        "exchange",
        "exchange_name",
        "settlement_type",
        "penny_pilot",
        # "non_standard",
    ],
)

from pg_data_flow import async_engine_from_env

engine = async_engine_from_env()


async def main():
    async with engine.begin() as conn:
        await conn.execute(options_query)


if __name__ == "__main__":
    asyncio.run(main())
